//+------------------------------------------------------------------+
//|                                              FZTZ ( 0  0).mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

extern bool MM=true;
extern double start_lot=0.01;
extern double min_lot=0.01;
extern int magicbuy=1111;
extern int magicsell=2222;
extern int delta=100;
extern int bars=1;
double cl,lot[1];
bool open;
int res;
string day;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
  int CalculateCurrentOrders(string symbol)
  {
   int buys=0,sells=0;
//----
   for(int i=0;i<OrdersTotal();i++)
     {
      if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)==false) break;
      if(OrderSymbol()==Symbol() && OrderMagicNumber()
        {
         if(OrderType()==OP_BUY)  buys++;
         if(OrderType()==OP_SELL) sells++;
        }
     }
//---- return orders volume
   if(buys>0) return(buys);
   else       return(-sells);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
   { 
  
///////////Money Management

if (MM)
   {
   lot[0]=start_lot*MathFloor (AccountBalance()/delta);
   if (lot[0]<start_lot) lot[0]=start_lot;
   if (lot[0]>MarketInfo(Symbol(),MODE_MAXLOT)) lot[0]=MarketInfo(Symbol(),MODE_MAXLOT);
   }
   else lot[0]=start_lot; 
/////////////////// 

if (DayOfWeek( )==0) day="";
if (DayOfWeek( )==1) day="";
if (DayOfWeek( )==2) day="";
if (DayOfWeek( )==3) day="";
if (DayOfWeek( )==4) day="";
if (DayOfWeek( )==5) day="";
if (DayOfWeek( )==6) day="";
string info=StringConcatenate(AccountCompany(),",  ",AccountName(),".  : ",AccountNumber(),",  :  ",AccountCurrency(),".  =",DoubleToStr(start_lot,2),". MM=",MM,". =",delta);
if (AccountMargin()!=0) Comment (info,"\n",Hour(),":00. ",Day(),".",Month(),".",Year(),". ",day,"\n","=",AccountBalance(),"\n","=",AccountEquity(),"\n","=",NormalizeDouble((AccountBalance()-AccountEquity())/AccountBalance(),2)*100,"%","\n","Lot=",lot[0],"\n"," =",OrdersTotal(),"\n"," =",AccountEquity()*100/AccountMargin(),"%");
else Comment (info,"\n",Hour(),":00. ",Day(),".",Month(),".",Year(),". ",day,"\n","=",AccountBalance(),"\n","=",AccountEquity(),"\n","=",NormalizeDouble((AccountBalance()-AccountEquity())/AccountBalance(),2),"\n","Lot=",lot[0],"\n"," =",OrdersTotal(),"\n"," =0");
//////////////////////////////////////////
   }

////////////////   

void CheckForOpen()
  {   
 //---- go trading only for first tiks of new bar
   if(Volume[0]>1) return;
//----     
   cl=iCustom(NULL,0,"CL_FATL",0);
//----  
   if(cl[0,bars]>=0)continue;
   if(cl[0,bars]-cl[0,bars+1]<=0&&
      cl[1,bars]<0) 
      {
      res=OrderSend(Symbol(),OP_SELL,Bid,5,0,0,"FZTZ",magicsell,Red);
      return;  
      }
      
//---- 
   if(cl[1,bars]<=0)continue;
   if(cl[1,bars]-cl[1,bars+1]<=0&&
      cl[1,bars]>0)
     {
     res=OrderSend(Symbol(),OP_BUY,Ask,5,0,0,"FZTZ",magicbuy,Blue);
      return; 
      }
    }
/////////    

void CheckForClose()
  {
   //---- go trading only for first tiks of new bar
   if(Volume[0]>1) return;
//----     
   cl=iCustom(NULL,0,"CL_FATL",0);
//----
   for(int i=0;i<OrdersTotal();i++)
     {
      if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)==false)        break;
      if(OrderMagicNumber()|| OrderSymbol()!=Symbol()) continue;
      //---- check order type 
      if(OrderType()==OP_BUY)
        {
         if(cl[0,bars]<=0 && cl[0,bars]-cl[0,bars+1]<=0)
         OrderClose(OrderTicket(),OrderLots(),Bid,3, magicbuy,White);
         break;
        }
      if(OrderType()==OP_SELL)
         {
         if(cl[0,bars]>=0 && cl[0,bars]-cl[0,bars+1]>=0)
          OrderClose(OrderTicket(),OrderLots(),Ask,3, magicsell,White);
         break;
         }
      }

